<?php

namespace Drupal\pimple_container_example\importer;

class HTTPDataSource implements DataSource {

  protected $params;
  protected $data;
  protected $request;

  /**
   * Constructor.
   *
   * @param Array $params
   *   Params.
   */
  public function __construct($params) {
    $this->params = $params;
  }

  /**
   * Get data.
   */
  public function getData() {
    if (isset($this->params['url'])) {
      $request = drupal_http_request($this->params['url'] . '?' . $this->params['query']);
      $this->data = $request->data;
      $this->request = $request;
    }


    return $this->data;
  }

  /**
   * Get type.
   */
  public function getType() {
    return '';
  }
}
