<?php

namespace Drupal\pimple_container_example\importer;

class XMLDataProcessor implements DataProcessor {

  /**
   * Process data.
   */
  public function processData($data) {
    $xml = simplexml_load_string($data);
    // Transform xml to array.
    $json = json_encode($xml);
    $data = json_decode($json, TRUE);

    return array(
      'city' => $data['city']['@attributes']['name'],
      'temp' => $data['temperature']['@attributes']['value'],
    );
  }

}
